<?php

/*
 */

/**
 * Description of AdminVenipakController
 *
 * @author Rokas
 */
class AdminVenipakController extends ModuleAdminController
{
	public function __construct()
	{
        
        $this->tpl_folder = 'venipakcarrier';
        $this->display = NULL;
        
		parent::__construct();

	}

    public function initContent()
    {
        parent::initContent();
        $smarty = $this->context->smarty;
        $context = Context::getContext();
        $manifests = array();
        $warehouses = $this->module->getWarehouses();
        $defaultWarehouse = $this->module->getDefaultWarehouse();

        $page = (isset($_GET['page']) ? (int)$_GET['page'] : 1);
        $limit = (isset($_GET['limit']) ? (int)$_GET['limit'] : 5);

        if(isset($_GET['warehouse_id'])){
            $warehouseId = (int)$_GET['warehouse_id'];
        }else{
            $warehouseId = $defaultWarehouse['id'];
        }

        VenipakCarrier::checkForClass('VeniOrder');
        VenipakCarrier::checkForClass('VeniManifest');
        $openOrdersObj = new VeniOrder();
        $manifestsObj = new VeniManifest();
        
        $manifests = $openOrdersObj->getOrders($warehouseId, (int)$context->language->id, 0, $page, $limit);
        $totalPages = $manifestsObj->getTotalManifestsByWarehouse($warehouseId);
        $totalPages = $totalPages/$limit;

        $pages = array();
        for($i=$page-2;$i<$totalPages;$i++){
            if($i<=0){ continue; }
            $pages[]=array('url'=>$context->link->getAdminLink('AdminVenipak').'&warehouse_id='.$warehouseId.'&page='.$i,'text'=>$i);
            if($i>$page+2){ break; }
        }
        $smarty->assign(array(
            'manifests' => $manifests,
            'warehouses' => $warehouses,
            'warehouseId' => $warehouseId,
            'baseUrl' => $context->link->getAdminLink('AdminVenipak'),
            'printlabelsurl'=>$context->link->getModuleLink('venipakcarrier', 'venipakcont',array('action'=>'printlabels')),
            'printmanifesturl' => $context->link->getModuleLink('venipakcarrier', 'venipakcont',array('action'=>'printmanifest')),
            'page' => $page,
            'limit' => $limit,
            'totalPages' => $totalPages,
            'pages' => $pages
            ));
        $content = $smarty->fetch(_PS_MODULE_DIR_.$this->module->name.'/views/templates/admin/admin_tab.tpl');
        $this->content = $content;
        parent::initContent();

    }

}
